2008-09-01  Ludovic Marcotte  <lmarcotte@inverse.ca>

	* NGMail: improvements (v4.7.3)

2008-03-04  Marcus Mueller  <znek@mulle-kybernetik.com>

	* README-OSX.txt: Updated

2008-01-29  Albrecht Dress  <albrecht.dress@lios-tech.com>

	* fixes for OGo bug #789 (reply-to QP encoding) (v4.7.2)

2007-08-29  Helge Hess  <helge.hess@opengroupware.org>

	* MacOS Version overflow (v4.7.1)

2007-08-24  Wolfgang Sourdeau  <WSourdeau@Inverse.CA>

	* NGImap4: a fix for OGo bug #1905 (folders with slashes) (v4.7.255)

2007-08-16  Wolfgang Sourdeau  <WSourdeau@Inverse.CA>

	* NGImap4: added support for non-system IMAP4 flags (OGo bug #1899)
	  (v4.7.254)

2007-08-29  Helge Hess  <helge.hess@opengroupware.org>

	* NGMime: some gstep-base hackaround (OGo bug #1890) (v4.7.253)

2007-08-01  Wolfgang Sourdeau  <WSourdeau@Inverse.CA>

	* NGImap4: fixed some gstep-base issue (OGo bug #1893) (v4.7.252)

2007-08-01  Wolfgang Sourdeau  <WSourdeau@Inverse.CA>

	* NGImap4: added support for bodystructure fetches (fixes OGo bug
	  #1892) (v4.7.251)

2007-08-09  Wolfgang Sourdeau  <WSourdeau@Inverse.CA>

	* NGMail: fixed some connection states in NGSmtpClient (OGo bug #1897)
	  (v4.7.250)

2007-07-15  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: fixed an encoding issue on gstep-base/Cocoa (OGo bug #1885)
	  (v4.7.249)

2007-06-01  Helge Hess  <helge.hess@opengroupware.org>

	* NGMime: code refactoring, fixed OGo bug #1856 (QP decoding)
	  (v4.7.248)

2007-05-28  Helge Hess  <helge.hess@opengroupware.org>

	* NGMime: fixed compilation on gnustep-base (v4.7.247)

	* NGMime: improved text body encoding (v4.7.246)

2007-05-15  Wolfgang Sourdeau  <WSourdeau@Inverse.CA>

	* NGMime.m: encode string body contents using the charset
	  of the content-type (when available) (OGo bug #1873) (v4.7.245)

2007-05-28  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: changed behaviour wrt bug 1875 (v4.7.244)

2007-02-12  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: fixed a gstep-base compilation warning (v4.7.243)

2006-08-03  Wolfgang Sourdeau  <WSourdeau@Inverse.CA>

	* NGImap4: improved subfolder handling (v4.5.242)
	
2006-07-04  Helge Hess  <helge.hess@opengroupware.org>

	* use %p for pointer formats, fixed gcc 4.1 warnings, use -isNotEmpty
	  when appropriate (v4.5.241)

2006-02-22  Helge Hess  <helge.hess@opengroupware.org>

	* NGMime: hardcoded CET/UTC in tzname parsing (v4.5.240)

2005-12-13  Helge Hess  <helge.hess@opengroupware.org>

	* NGMail: some code cleanups / reorgs (v4.5.239)

	* v4.5.238

	* NGImap4: fixed QP handling in IMAP4 envelopes (#1587)

	* NGMime: code cleanups

2005-11-17  Helge Hess  <helge.hess@opengroupware.org>

	* properly include string.h where required to avoid warnings (v4.5.237)

2005-09-18  Helge Hess  <helge.hess@opengroupware.org>

	* NGMime: fixed a linking issue on OSX (v4.5.236)

2005-08-30  Helge Hess  <helge.hess@skyrix.com>

	* do not use PCH warning flags with older compilers (v4.5.235)

2005-08-27  Helge Hess  <helge.hess@opengroupware.org>

	* added some PCH support (v4.5.234)

2005-08-17  Helge Hess  <helge.hess@opengroupware.org>

	* build NGImap4 and NGMail frameworks (v4.5.233)

2005-08-10  Helge Hess  <helge.hess@opengroupware.org>

	* added OSX framework support (v4.5.232)

2005-07-27  Helge Hess  <helge.hess@skyrix.com>

	* NGImap4: fixed a gcc 4.0 warning (v4.5.231)

2005-07-26  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: fixed a compatibility issue with Cocoa (v4.5.230)

2005-07-20  Helge Hess  <helge.hess@opengroupware.org>

	* NGMime, NGMail: added some convinience methods to access the header
	  fields of a part (v4.5.229)

2005-07-15  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: fixed a parsing bug in ACL responses (v4.5.228)

2005-07-14  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: fixed default names of NGImap4Connection, some code reorgs
	  (v4.5.227)

2005-07-13  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: added -description to imap4-connection (v4.5.226)

2005-07-12  Helge Hess  <helge.hess@opengroupware.org>

	* NGMime: headers hashmap is now properly made immutable (v4.5.225)

2005-07-11  Helge Hess  <helge.hess@opengroupware.org>

	* NGMime: added a safeguard for some edge case (v4.5.224)

	* NGImap4: added NGImap4Connection, NGImap4ConnectionManager (v4.5.223)

2005-07-07  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: added method to store flags for MSN sequences (v4.5.222)

2005-07-05  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4ResponseNormalizer.[hm], NGImap4Client.[hm],
	  NGImap4ResponseParser.m: added some ACL related commands (v4.5.221)

2005-04-24  Helge Hess  <helge.hess@opengroupware.org>

	* NGMime, NGImap4, NGMail: fixed gcc 4.0 warnings (v4.5.220)

2005-03-24  Helge Hess  <helge.hess@skyrix.com>

	* NGMime, NGMail: fixed OGo bug #1324 by adding support for multivalue
	  header fields (v4.5.219)

	* NGMime: minor code cleanups (v4.5.218)

2005-03-05  Helge Hess  <helge.hess@opengroupware.org>

	* NGMime: fixed an issue with incorrect header field termination
	  (v4.5.217)

	* NGImap4: fixed a MacOSX incompatibility (v4.5.216)

2005-03-03  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: added some debugging facilities (v4.5.215)
	
2005-02-14  Helge Hess  <helge.hess@skyrix.com>

	* NGImap4: changed base64 encoding in Sieve client to fix OGo bug #1228
          (v4.5.214)

2005-02-12  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: reworked qualifier generation, fixed handling of OR
	  qualifiers (v4.5.213)

	* NGImap4: improved copying, cleaned up sort ordering (v4.5.212)

2005-02-08  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: added method to retrieve selected folder (v4.5.211)

	* NGImap4: change in API: NGImap4Envelope now uses lists for 'from'
	  and 'reply-to' headers (v4.5.210)

2005-01-31  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: added support for creating envelope objects from body
	  structure dictionaries (v4.5.209)

2005-01-30  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: code cleanup in response normalizer (v4.5.208)

	* NGImap4: some fix in the Sieve script upload (v4.5.207)

2005-01-30  Helge Hess  <helge.hess@skyrix.com>

	* v4.5.206
	
	* NGMail: fixed a crasher in a warn-log (occurred if no content-type
	  was set), major reorgs
	
	* NGMime: some code cleanups, added MIME generation debugging,
	  improved NGMimeJoinedData, make reorgs

	* NGImap4: minor code cleanups

2005-01-04  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: fixed a small warning with Xcode (v4.5.205)
	
2004-12-09  Helge Hess  <helge.hess@opengroupware.org>

	* NGMime: fixed an issue with future date headers and libFoundation
	  (v4.5.204)

2004-12-03  Helge Hess  <helge.hess@skyrix.com>

	* NGImap4: fixed an error handler in the Sieve client (v4.5.203)

2004-11-30  Helge Hess  <helge.hess@skyrix.com>

	* NGMail: fixed a bug in NGSendMail (v4.5.202)

2004-11-28  Helge Hess  <helge.hess@skyrix.com>

	* NGImap4: improvements in the Sieve client (v4.5.201)

2004-11-19  Helge Hess  <helge.hess@skyrix.com>

	* NGImap4: minor code cleanups (v4.5.200)

2004-11-16  Helge Hess  <helge.hess@skyrix.com>

	* NGImap4: minor code cleanups in NGSieveClient (v4.5.199)

2004-11-13  Helge Hess  <helge.hess@opengroupware.org>

	* NGMime: added  support for 'reply-type' parameter in text MIME types
	  (v4.5.198)

2004-11-08  Helge Hess  <helge.hess@skyrix.com>

	* NGImap4: fixed a bug with parsing envelopes that are reported with
	  data headers ({count} syntax) (v4.5.197)

2004-10-30  Thierry Delhaise  <befree_fr@mac.com>

	* NGImap4: fixed OGo bug #958 (IMAP4 parser broke with Courier)
	  (v4.3.196)
	
2004-10-29  Helge Hess  <helge.hess@skyrix.com>

	* NGMime: minor cleanups (v4.3.195)

2004-10-28  Helge Hess  <helge.hess@skyrix.com>

	* NGImap4: added a constructor to NGImap4Envelope (v4.3.194)

2004-10-27  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: enhanced NGImap4EnvelopeAddress (v4.3.193)

	* NGMail: support special sendmail location on MacOSX (v4.3.192)

	* NGMail: fixed a bug in NGSendMail (v4.3.191)

	* NGMail: added NGSendMail object (v4.3.190)

2004-10-08  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: minor improvement in an error condition (v4.3.189)

2004-10-06  Helge Hess  <helge.hess@skyrix.com>

	* NGMime: added special case for +0530 timezone (v4.3.188)

2004-10-02  Helge Hess  <helge.hess@opengroupware.org>

	* v4.3.187

	* NGMime, NGMail: minor cleanups

	* NGImap4: decode quoted printable subjects and addresses

	* NGImap4: fixed long subject envelope processing (v4.3.186)

	* NGImap4: improved processing of envelope responses (v4.3.185)

2004-10-01  Helge Hess  <helge.hess@opengroupware.org>

	* NGImap4: added processing of envelope responses (v4.3.184)

	* NGImap4: NGImap4Client improvements (v4.3.183)

2004-09-30  Helge Hess  <helge.hess@skyrix.com>

	* NGMime: fixed OGo buf #936 (v4.3.182)

2004-09-29  Helge Hess  <helge.hess@skyrix.com>

	* NGImap4: minor improvements (v4.3.181)

2004-09-21  Marcus Mueller  <znek@mulle-kybernetik.com>

	* sope-mime.xcode: fixes

2004-09-07  Helge Hess  <helge.hess@skyrix.com>

	* NGImap4: removed some crash situations wrt OGo bug #883 (v4.3.179)

2004-09-05  Helge Hess  <helge.hess@opengroupware.org>

	* fixed common.h files not to depend on libFoundation internals
	  (v4.3.178)

2004-09-01  Helge Hess  <helge.hess@opengroupware.org>

	* fhs.make (move-headers-to-fhs): moved NGMail and NGImap4 headers to
	  FHS root (v4.3.177)

2004-08-29  Helge Hess  <helge.hess@opengroupware.org>

	* added hack to install the project in FHS locations - the library,
	  its headers, the tools and the resources will be installed in
	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
	  (v4.3.175)

	* added ChangeLog for libNGMime
